Skip to main content
GET
Get a mock USDT faucet request
Poll this endpoint until the faucet request reaches confirmed or failed.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Faucet request ID returned by the POST endpoint.

Response

Current faucet transfer state.

id
string<uuid>
required
status
enum<string>
required
Available options:
requested,
processing,
submitted,
confirmed,
failed
chain
enum<string>
required
Available options:
ethereum_sepolia
token
enum<string>
required
Available options:
usdt
address
string
required

EVM address receiving the mock USDT.

amount
string
required

Requested mock USDT amount with six decimal places.

Pattern: ^[0-9]+\.[0-9]{6}$
transactionHash
string | null
required

Ethereum Sepolia transaction hash once submitted.

failureCode
string | null
required

Machine-readable failure code when status is failed.

createdAt
string<date-time> | null
required
submittedAt
string<date-time> | null
required
confirmedAt
string<date-time> | null
required